net.minecraft.entity.item

## Enum EntityPainting.EnumArt

- java.lang.Object
- - java.lang.Enum<EntityPainting.EnumArt>
  - - net.minecraft.entity.item.EntityPainting.EnumArt

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EntityPainting.EnumArt>
  Enclosing class:
    EntityPainting

      public static enum EntityPainting.EnumArt
      extends java.lang.Enum<EntityPainting.EnumArt>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Alban`
    `Aztec`
    `Aztec2`
    `Bomb`
    `BurningSkull`
    `Bust`
    `Courbet`
    `Creebet`
    `DonkeyKong`
    `Fighters`
    `Graham`
    `Kebab`
    `Match`
    `Pigscene`
    `Plant`
    `Pointer`
    `Pool`
    `Sea`
    `Skeleton`
    `SkullAndRoses`
    `Stage`
    `Sunset`
    `Void`
    `Wanderer`
    `Wasteland`
    `Wither`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `maxArtTitleLength`
    `int` | `offsetX`
    `int` | `offsetY`
    `int` | `sizeX`
    `int` | `sizeY`
    `java.lang.String` | `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityPainting.EnumArt` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EntityPainting.EnumArt[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Kebab

          public static final EntityPainting.EnumArt Kebab

    - #### Aztec

          public static final EntityPainting.EnumArt Aztec

    - #### Alban

          public static final EntityPainting.EnumArt Alban

    - #### Aztec2

          public static final EntityPainting.EnumArt Aztec2

    - #### Bomb

          public static final EntityPainting.EnumArt Bomb

    - #### Plant

          public static final EntityPainting.EnumArt Plant

    - #### Wasteland

          public static final EntityPainting.EnumArt Wasteland

    - #### Pool

          public static final EntityPainting.EnumArt Pool

    - #### Courbet

          public static final EntityPainting.EnumArt Courbet

    - #### Sea

          public static final EntityPainting.EnumArt Sea

    - #### Sunset

          public static final EntityPainting.EnumArt Sunset

    - #### Creebet

          public static final EntityPainting.EnumArt Creebet

    - #### Wanderer

          public static final EntityPainting.EnumArt Wanderer

    - #### Graham

          public static final EntityPainting.EnumArt Graham

    - #### Match

          public static final EntityPainting.EnumArt Match

    - #### Bust

          public static final EntityPainting.EnumArt Bust

    - #### Stage

          public static final EntityPainting.EnumArt Stage

    - #### Void

          public static final EntityPainting.EnumArt Void

    - #### SkullAndRoses

          public static final EntityPainting.EnumArt SkullAndRoses

    - #### Wither

          public static final EntityPainting.EnumArt Wither

    - #### Fighters

          public static final EntityPainting.EnumArt Fighters

    - #### Pointer

          public static final EntityPainting.EnumArt Pointer

    - #### Pigscene

          public static final EntityPainting.EnumArt Pigscene

    - #### BurningSkull

          public static final EntityPainting.EnumArt BurningSkull

    - #### Skeleton

          public static final EntityPainting.EnumArt Skeleton

    - #### DonkeyKong

          public static final EntityPainting.EnumArt DonkeyKong

  - ### Field Detail

    - #### maxArtTitleLength

          public static final int maxArtTitleLength

    - #### title

          public final java.lang.String title

    - #### sizeX

          public final int sizeX

    - #### sizeY

          public final int sizeY

    - #### offsetX

          public final int offsetX

    - #### offsetY

          public final int offsetY

  - ### Method Detail

    - #### values

          public static EntityPainting.EnumArt[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityPainting.EnumArt c : EntityPainting.EnumArt.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityPainting.EnumArt valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null